# rpmBuildArguments_s Struct Reference
[Command Line API.]

Describe build command line request. More...

`#include <rpmcli.h>`

## Data Fields

rpmQueryFlags | qva_flags
int | buildAmount
char * | buildRootOverride
char * | targets
const char * | passPhrase
char * | cookie
int | force
int | noBuild
int | noDeps
int | noLang
int | shortCircuit
int | sign
int | useCatalog
char | buildMode
char | buildChar
const char * | rootdir

## Detailed Description

Describe build command line request.

Definition at line 313 of file rpmcli.h.

## Field Documentation

rpmQueryFlags rpmBuildArguments_s::qva_flags

Bit(s) to control verification.

Definition at line 314 of file rpmcli.h.

Referenced by build().

int rpmBuildArguments_s::buildAmount

Bit(s) to control operation.

Definition at line 315 of file rpmcli.h.

Referenced by build(), buildForTarget(), and main().

char* rpmBuildArguments_s::buildRootOverride

from --buildroot

Definition at line 316 of file rpmcli.h.

Referenced by buildForTarget(), and main().

char* rpmBuildArguments_s::targets

Target platform(s), comma separated.

Definition at line 317 of file rpmcli.h.

Referenced by build(), and main().

const char* rpmBuildArguments_s::passPhrase

Pass phrase.

Definition at line 318 of file rpmcli.h.

Referenced by buildForTarget(), and main().

char* rpmBuildArguments_s::cookie

NULL for binary, ??? for source, rpm's

Definition at line 319 of file rpmcli.h.

Referenced by buildForTarget(), and main().

int rpmBuildArguments_s::force

from --force

Definition at line 320 of file rpmcli.h.

Referenced by buildForTarget().

int rpmBuildArguments_s::noBuild

from --nobuild

Definition at line 321 of file rpmcli.h.

Referenced by buildForTarget().

int rpmBuildArguments_s::noDeps

from --nodeps

Definition at line 322 of file rpmcli.h.

Referenced by buildForTarget().

int rpmBuildArguments_s::noLang

from --nolang

Definition at line 323 of file rpmcli.h.

int rpmBuildArguments_s::shortCircuit

from --short-circuit

Definition at line 324 of file rpmcli.h.

Referenced by main().

int rpmBuildArguments_s::sign

from --sign

Definition at line 325 of file rpmcli.h.

Referenced by main().

int rpmBuildArguments_s::useCatalog

from --usecatalog

Definition at line 326 of file rpmcli.h.

char rpmBuildArguments_s::buildMode

Build mode (one of "btBC")

Definition at line 327 of file rpmcli.h.

Referenced by buildForTarget(), and main().

char rpmBuildArguments_s::buildChar

Build stage (one of "abcilps ")

Definition at line 328 of file rpmcli.h.

Referenced by main().

const char* rpmBuildArguments_s::rootdir

Definition at line 329 of file rpmcli.h.

Referenced by buildForTarget(), and main().

The documentation for this struct was generated from the following file:

- rpmcli.h